.products-row {
    margin-bottom: 60px;
}

.products-row__header {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
	margin-top: 15px;
    margin-bottom: 50px;
}

.products-row__title {
    font-size: 24px;
    font-weight: 600;
    text-transform: uppercase;
}

.products-row__link {
    color: #F23300;
    font-size: 15px;
}



/* Небольшие правки по размерам в карточках с товарами только для каталога, что бы уместить 5 карточек в ряд в соответствии с макетом */
@media (min-width: 769px) {
    .products-row__main .card {
        padding: 10px 10px 0;
    }

    .products-row__main .card__badge {
        font-size: 8px;
    }

    .products-row__main .card__sku {
        font-size: 10px;
    }

    .products-row__main .card__img {
        margin: 0 -8px;
    }

    .products-row__main .card__icons--mobile {
        display: flex;
        justify-content: flex-end;
        margin-bottom: 12px;
    }

    .products-row__main .card__icon--desktop {
        display: none;
    }

    .products-row__main .card__icon--mobile {
        display: block;
    }

    .products-row__main .card__name {
        margin-bottom: 10px;
    }

    .products-row__main .card__price {
        flex-direction: column;
        align-items: flex-start;
        gap: 5px;
    }

    .products-row__main .card__price-desc {
        font-size: 13px;
        line-height: 30px;
    }

    .products-row__main .card__delivery {
        font-size: 13px;
    }

    .products-row__main .card__delivery-price {
        font-size: 15px;
    } 
}

.products-row__main .card:nth-child(n+5) {
    display: none;
}

@media (max-width: 1240px) {
    .products-row__main .card:nth-child(n+4) {
        display: none;
    }
}

@media (max-width: 1080px) {
    .products-row__main .card:nth-child(n+3) {
        display: none;
    }
}

@media (max-width: 768px) {
    .products-row {
        margin-bottom: 30px;
    }

    .products-row__header {
        padding: 0 10px;
		margin-top: 0px;
        margin-bottom: 20px;
    }

    .products-row__title {
        font-size: 16px;
    }

    .products-row__link {
        font-size: 10px;
    }

    .products-row__main {
        gap: 10px;
    }

    .products-row__main .card:nth-child(n+3) {
        display: block;
    }
    
    .products-row__main .card:nth-child(n+4) {
        display: none;
    }
}

@media (max-width: 540px) {
    .products-row__main .card:nth-child(n+3) {
        display: none;
    }
	.products-row__title {
        font-size: 14px;
    }
}

/*карточки*/

.cards__title {
    font-size: 24px;
    font-weight: 600;
    text-transform: uppercase;
    margin-bottom: 50px;
}

.cards__grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 15px;
    margin-bottom: 50px;
}

.cards__link {
    width: 495px;
    height: 54px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 18px;
    font-weight: 600;
    text-transform: uppercase;
    border: 1px solid #2A2A2A;
    border-radius: 10px;
    margin: 0 auto;
    transition: all .3s;
}

.cards__link:hover {    
    background: #e8e8e8;
}

@media (max-width: 1660px) {
    .cards__title {
        margin: 0 10px 50px;
    }
}

@media (max-width: 1240px) {
    .cards__grid {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 15px;
        margin-bottom: 50px;
    }

    /*.cards__grid .card:nth-child(n+9) {
        display: none;
    }*/
}

@media (max-width: 1024px) {
    .cards__grid {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 15px;
        margin-bottom: 50px;
    }
    
    /*.cards__grid .card:nth-child(n+9) {
        display: block;
    }

    .cards__grid .card:nth-child(n+10) {
        display: none;
    }*/
}

@media (max-width: 768px) {
    .cards__title {
        font-size: 12px;
        margin: 0 10px 20px;
    }

    .cards__grid {
        grid-template-columns: repeat(2, 1fr);
        gap: 15px 10px;
        margin-bottom: 40px;
    }

    .cards__link {
        width: 230px;
        height: 30px;
        font-size: 12px;
        border-radius: 5px;
    }

    /*.cards__grid .card:nth-child(n+7) {
        display: none;
    }*/
}

@media (max-width: 540px) {
    .cards__grid {
        grid-template-columns: repeat(2, 1fr);
    }
}


/*раннее просмотренные*/

.recently-viewed {
    display: flex;
    flex-direction: column;
    gap: 40px;
    margin-top: 40px;
}

.recently-viewed__title {
    font-size: 24px;
    font-weight: 600;
    text-transform: uppercase;
}

.recently-viewed__cards {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 15px;
}

@media (max-width: 1540px) {
    .recently-viewed__cards {
        grid-template-columns: repeat(4, 1fr);
    }

    .recently-viewed__cards .card:nth-child(n+5) {
        display: none;
    }
}

@media (max-width: 1240px) {
    .recently-viewed__cards {
        grid-template-columns: repeat(3, 1fr);
    }

    .recently-viewed__cards .card:nth-child(n+4) {
        display: none;
    }
}

@media (max-width: 768px) {
    .recently-viewed {
        gap: 20px;
    }

    .recently-viewed__title {
        font-size: 12px;
    }

    .recently-viewed__cards {
        grid-template-columns: repeat(2, 1fr);
        gap: 15px 10px;
    }

    .recently-viewed__cards .card:nth-child(n+4) {
        display: block;
    }

    .recently-viewed__cards .card:nth-child(n+5) {
        display: none;
    }
}